Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.management.runtime
Interface AIRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface AIRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

MBean for retrieving per-managed-server information on the AI engine.

Method Summary
`boolean` | `appHasPendingAppViewDeployments(String appName)` Check to see if there are any pending ApplicationView deployments for the given application name.
`boolean` | `appHasPendingAppViewUndeployments(String appName)` Check to see if there are any pending ApplicationView undeployments for the given application name.
`String` | `getJMSConnectionFactoryJNDIName()` Get the JNDI name of the JMS connection factory being used by AI for creating connections to JMS queues and topics.
`String` | `getRepositoryRootDirectory()` Get the default repository root directory for the AI engine.
`boolean` | `isAsyncServiceTracingEnabled()` Indicates if tracing of async services is enabled for the AI engine.
`boolean` | `isDebugEnabled()` Indicates if debug is enabled for the AI engine on the local server.
`void` | `setAsyncServiceTracingEnabled(boolean enabled)` Set the tracing of async services on/off for the AI engine.
`void` | `setDebugEnabled(boolean enabled)` Set the debugging on/off for the AI engine on the local server.
`void` | `setJMSConnectionFactoryJNDIName(String jndiName)` Set the JNDI name of the JMS connection factory AI should use for creating connections to JMS queues and topics.
`void` | `setRepositoryRootDirectory(String dir)` Set the default repository root directory for the AI engine.

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getJMSConnectionFactoryJNDIName

    public String getJMSConnectionFactoryJNDIName()

  Get the JNDI name of the JMS connection factory being used by AI for creating connections to JMS queues and topics.

### setJMSConnectionFactoryJNDIName

    public void setJMSConnectionFactoryJNDIName(String jndiName)

  Set the JNDI name of the JMS connection factory AI should use for creating connections to JMS queues and topics.

### setDebugEnabled

    public void setDebugEnabled(boolean enabled)

  Set the debugging on/off for the AI engine on the local server.

### isDebugEnabled

    public boolean isDebugEnabled()

  Indicates if debug is enabled for the AI engine on the local server.

### setAsyncServiceTracingEnabled

    public void setAsyncServiceTracingEnabled(boolean enabled)
                                       throws weblogic.management.ManagementException

  Set the tracing of async services on/off for the AI engine.

  Throws:
    `weblogic.management.ManagementException`

### isAsyncServiceTracingEnabled

    public boolean isAsyncServiceTracingEnabled()
                                         throws weblogic.management.ManagementException

  Indicates if tracing of async services is enabled for the AI engine.

  Throws:
    `weblogic.management.ManagementException`

### setRepositoryRootDirectory

    public void setRepositoryRootDirectory(String dir)

  Set the default repository root directory for the AI engine. This holds design-time artifacts such as ApplicationView descriptors, Adapter descriptors and schemas. This directory resides on the admin server.

### getRepositoryRootDirectory

    public String getRepositoryRootDirectory()

  Get the default repository root directory for the AI engine. This directory resides on the admin server.

### appHasPendingAppViewDeployments

    public boolean appHasPendingAppViewDeployments(String appName)
                                            throws javax.management.MBeanException

  Check to see if there are any pending ApplicationView deployments for the given application name.

  Throws:
    `javax.management.MBeanException`

### appHasPendingAppViewUndeployments

    public boolean appHasPendingAppViewUndeployments(String appName)
                                              throws javax.management.MBeanException

  Check to see if there are any pending ApplicationView undeployments for the given application name.

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD